%define real_name Convert-ASN1
%define name perl-%{real_name}
%define version 0.20
%define release %mkrel 1

Summary: 	ASN.1 Encode/Decode library for perl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://www.cpan.org/authors/id/GBARR/%{real_name}-%{version}.tar.bz2
URL: 		http://search.cpan.org/dist/%{real_name}/
BuildRequires:	perl-devel
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires:	perl

%description
Perl module used to encode and decode ASN.1 data structures using
BER/DER rules.

Needed by webmin to handle the OpenLDAP modules properly.

%prep

%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README examples/*
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*

%changelog
* Mon Feb 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-2mdk
- rebuild for new Perl

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.18-1mdk
- 0.18

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.16-4mdk
- rebuild for new perl
- don't use PREFIX
- rm -rf $RPM_BUILD_ROOT in %%install, not %%build
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-3mdk
- rebuild for auto{req,prov}

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.16-2mdk
- rebuild

* Tue Oct 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.16-1mdk
- from  Daniel Lacroix <dlacroix@erasme.org>
	- 0.16

* Mon Aug 05 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.15-4mdk
- Make rpmlint happy by chmod 644'ing Convert tar.bz2

* Mon Aug 05 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.15-3mdk
- Make it Require Perl >= 5.6, so that it can be installed on Perl 5.8 systems

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15-2mdk
- rebuild with new perl

* Mon Jun 17 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.15-1mdk
- first Mandrake spec
